File GSTR-7 TDS Return with DSC
POST
https://apisandbox.whitebooks.in/gstr7/retfileThis API is to File GSTR7
Parameters
query parameters
emailstringrequiredAPI Developer User Email
header parameters
gstinstringrequiredGST Number
ret_periodstringrequiredReturn Period (MMYYYY)
gst_usernamestringrequiredGST UserName
state_cdstringrequiredState Code
ip_addressstringrequiredIP Address
txnstringrequiredTransaction
client_idstringrequiredClient ID
client_secretstringrequiredClient Secret
Request Body
application/jsonrequired
gstinstringoptionalGSTIN of Deductor
Example: "12AUGGC1893F3DQ"
fpstringoptionalReturn Period
Example: "112017"
tdsobjectoptionalttl_igstnumberoptionalTotal IGST
Example: 1518.06
ttl_cgstnumberoptionalTotal CGST
Example: 0
ttl_sgstnumberoptionalTotal SGST
Example: 0
ttl_amtDednumberoptionalTotal amount paid to deductee on which tax is deducted
Example: 75903
no_recintegeroptionalTotal number of deductees
Example: 2
tdsaobjectoptionalttl_igstnumberoptionalTotal IGST amount
Example: 0
ttl_cgstnumberoptionalTotal CGST amount
Example: 0
ttl_sgstnumberoptionalTotal SGST amount
Example: 0
ttl_amtDednumberoptionalTotal amount paid to the deductee on which tax is deducted
Example: 0
no_recintegeroptionalTotal no of deductees amended
Example: 0
tax_payarray<object>optionalArray items:
igstobjectoptionalintrnumberoptionalInterest Amount
Example: 0
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 1518
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 1518
pennumberoptionalPenalty Amount
Example: 0
sgstobjectoptionalintrnumberoptionalInterest Amount
Example: 0
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 0
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 0
pennumberoptionalPenalty Amount
Example: 0
cgstobjectoptionalintrnumberoptionalInterest Amount
Example: 0
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 0
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 0
pennumberoptionalPenalty Amount
Example: 0
cessobjectoptionalCess amount payable
intrnumberoptionalInterest Amount
Example: 0
othnumberoptionalother Amount
Example: 0
txnumberoptionalTax Amount
Example: 0
feenumberoptionalFee Amount
Example: 0
totnumberoptionalTotal Amount
Example: 0
pennumberoptionalPenalty Amount
Example: 0
liab_idnumberoptionalLiability identifier in ledger
Example: 8855
trancdnumberoptionalTransaction code
Example: 30002
trandatestringoptionalTransaction date
Example: "12-02-2018"
offsetarray<object>optionalArray items:
tran_cdintegeroptionalTransaction code
Example: 30002
sgstobjectoptionalSGST amount
intrnumberoptionalInterest Amount
Example: 0
txnumberoptionalTax Amount
Example: 3000
feenumberoptionalFee Amount
Example: 5000
totnumberoptionalTotal Amount
Example: 5005
cgstobjectoptionalCGST amount
intrnumberoptionalInterest Amount
Example: 0
txnumberoptionalTax Amount
Example: 3000
feenumberoptionalFee Amount
Example: 5000
totnumberoptionalTotal Amount
Example: 5005
igstobjectoptionalintrnumberoptionalInterest Amount
Example: 4
txnumberoptionalTax Amount
Example: 1
totnumberoptionalTotal Amount
Example: 5005
Response
Not Found. If requested entity is not found or if requested API is not found.
Frequently Asked Questions
Requests are submitted via HTTP POST to
/gstr7/retfile. Required parameters: email (query parameter), gstin (header parameter), ret_period (header parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). A JSON request body (Content-Type: application/json) is accepted per the schema specifications shown in the request documentation.For File GSTR7 (POST
/gstr7/retfile), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).This API is to File GSTR7
No example available.